//+------------------------------------------------------------------+
//|                                                ProfitTargets.mq4 |
//|                                                          Kalenzo |
//|                                          http://www.fxservice.eu |
//+------------------------------------------------------------------+
#property copyright "Kalenzo"
#property link      "http://www.fxservice.eu"

#property indicator_buffers 7

#property indicator_color1 Red
#property indicator_color2 Red
#property indicator_color3 Red
#property indicator_color4 Blue
#property indicator_color5 LimeGreen
#property indicator_color6 LimeGreen
#property indicator_color7 LimeGreen

double s1[];
double s2[];
double s3[];
double p[];
double r1[];
double r2[];
double r3[];

extern int limit = 1000,
           EntryHour = 6,
           LongTarget1 = 10,
           LongTarget2 = 20,
           LongTarget3 = 30,
           ShortTarget1 = 10,
           ShortTarget2 = 20,
           ShortTarget3 = 30;
           

#property indicator_chart_window
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
   SetIndexStyle(0,DRAW_LINE,STYLE_DOT,1);
   SetIndexStyle(1,DRAW_LINE,STYLE_DASH,1);
   SetIndexStyle(2,DRAW_LINE,STYLE_SOLID,2);
   SetIndexStyle(3,DRAW_LINE,STYLE_SOLID,2);
   SetIndexStyle(4,DRAW_LINE,STYLE_DOT,1);
   SetIndexStyle(5,DRAW_LINE,STYLE_DASH,1);
   SetIndexStyle(6,DRAW_LINE,STYLE_SOLID,2);
   
   SetIndexBuffer(0,s1);
   SetIndexBuffer(1,s2);
   SetIndexBuffer(2,s3);
   SetIndexBuffer(3,p);
   SetIndexBuffer(4,r1);
   SetIndexBuffer(5,r2);
   SetIndexBuffer(6,r3);
   
   SetIndexLabel(0,"First short target");
   SetIndexLabel(1,"Second short target");
   SetIndexLabel(2,"Third short target");
   SetIndexLabel(3,"Open Level");
   SetIndexLabel(4,"First long target");
   SetIndexLabel(5,"Second long target");
   SetIndexLabel(6,"Third long target");
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
  
//----
   
   double h = 0;
   
   for(int i = limit ;i >= 0;i--)
   {
      
      if(TimeHour(Time[i]) == EntryHour) h = iOpen(Symbol(),60,iBarShift(Symbol(),60,Time[i],false));       
       
      p[i] = h;
      r3[i] = h + (ShortTarget1*Point);
      r2[i] = h + (ShortTarget2*Point);
      r1[i] = h + (ShortTarget3*Point);
      s1[i] = h - (LongTarget1*Point);
      s2[i] = h - (LongTarget2*Point);
      s3[i] = h - (LongTarget3*Point);
      
   }
//----
   return(0);
  }
//+------------------------------------------------------------------+